Python 2.x 和 3.x  使用情况调查结果-脚本宝典
2013 年末 Python 官方发起一个调查,主要是想透过该调查了解用户对 Python 3.x 的使用情况。

目前该调查已结束,这里是调查结果:2013-2014 Python 2.x-3.x survey.pdf

下面是调查结果的文字翻译版:

  1. 你有没有用过 Python 2.x 写代码?(4779 人投票)
    有(97.51%,4660 人投票)
    无(2.49%,119 投票)

  2. 你有么有用过 Python 3.x 写过代码?(4770 人投票)
    有(60%,2862 人投票)
    无(40%,1908 投票)

  3. 你现在在 Python 2.x 写代码多还是在 Python 3.x 写代码多?(4728 人投票)
    Python 2.x(78.09%,3692 人投票)
    Python 3.x(21.91%,1036 人投票)

  4. 你是不是认为 Python 3.x 是一个"错误(mistake)"?(4674 人投票)
    是(22.91%,1071 人投票)
    否(77.09%,3603 人投票)

  5. 有没有一些依赖库(dependencies)使你不得不使用 Python 2.x?(4691 人投票)
    有(61.46%,2883 人投票)
    无(38.54%,1808 人投票)

  6. 你有没有试过把 Python 2.x 的代码迁移到 Python 3.x?(4733 人投票)
    有(32.83%,1554 人投票)
    没有(67.17%,3179 人投票)

  7. 你有没有使用/编写过使用 2to3 的代码?(4721 人投票)
    有(16.27%,768 人投票)
    没有(83.73%,3953 人投票)

  8. 你有没有使用/编写过使用 3to2 的代码?(4718 人投票)
    有(1.93%,91 人投票)
    没有(98.07%,4627 人投票)

  9. 你有没有写过或移植过不需要改变就可以同时运行在 Python 2.x 和 Python 3.x 的代码?(4734 人投票)
    有(31.12%,1473 人投票)
    无(68.88%,3261 人投票)


题图来自 www.thetechdive.com
编译:Segmentfault

本文固定链接: http://www.js-code.com/python/python_47928.html